package com.lovenav.entity;

import java.io.Serializable;
import lombok.Data;

/**
 * ln_url_list
 */
@Data
public class UrlList implements Serializable {
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getCateId() {
        return cateId;
    }

    public void setCateId(Integer cateId) {
        this.cateId = cateId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Long createtime) {
        this.createtime = createtime;
    }

    public Long getViews() {
        return views;
    }

    public void setViews(Long views) {
        this.views = views;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public Long getWeigh() {
        return weigh;
    }

    public void setWeigh(Long weigh) {
        this.weigh = weigh;
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Byte getNeedLogin() {
        return needLogin;
    }

    public void setNeedLogin(Byte needLogin) {
        this.needLogin = needLogin;
    }

    public String getAgentHint() {
        return agentHint;
    }

    public void setAgentHint(String agentHint) {
        this.agentHint = agentHint;
    }

    public Byte getIsNeedAgent() {
        return isNeedAgent;
    }

    public void setIsNeedAgent(Byte isNeedAgent) {
        this.isNeedAgent = isNeedAgent;
    }

    public Byte getIsAd() {
        return isAd;
    }

    public void setIsAd(Byte isAd) {
        this.isAd = isAd;
    }

    public Byte getIsTop() {
        return isTop;
    }

    public void setIsTop(Byte isTop) {
        this.isTop = isTop;
    }

    public Byte getIsEncrypt() {
        return isEncrypt;
    }

    public void setIsEncrypt(Byte isEncrypt) {
        this.isEncrypt = isEncrypt;
    }

    /**
     * id
     */
    private Long id;

    /**
     * 网站名称
     */
    private String name;

    /**
     * 网站图标
     */
    private String icon;

    /**
     * 标签id
     */
    private Integer cateId;

    /**
     * url
     */
    private String url;

    /**
     * 创建时间
     */
    private Long createtime;

    /**
     * 访问数量
     */
    private Long views;

    /**
     * 标签
     */
    private String tags;

    /**
     * 权重
     */
    private Long weigh;

    /**
     * 状态
     */
    private Byte status;

    /**
     * 描述
     */
    private String desc;

    /**
     * 需要登录才能查看
     */
    private Byte needLogin;

    /**
     * 代理提示语
     */
    private String agentHint;

    /**
     * 是否需要代理 1需要0不需要
     */
    private Byte isNeedAgent;

    /**
     * 是否广告1是0不是
     */
    private Byte isAd;

    /**
     * 是否全局置顶1是0不是
     */
    private Byte isTop;

    /**
     * 是否加密（1加密/0不加密）
     */
    private Byte isEncrypt;

    private static final long serialVersionUID = 1L;
}